import React from "react";
import { View, Image } from "react-native";

type Props = {
  srcImage: string;
  config?: {
    titleColor: string;
    summaryColor: string;
    backgroundColor: string;
    backgroundImage: string;
    isRTL: boolean;
  };
};

const containerStyles = {
  marginHorizontal: 24,
};

const imageStyles = {
  width: 400,
  height: 400,
};

export function Artwork({ srcImage }: Props) {
  return (
    <View style={containerStyles}>
      <Image
        fadeDuration={0}
        source={{ uri: srcImage }}
        style={imageStyles}
        resizeMode="cover"
      />
    </View>
  );
}
