import React from "react";
import { View, Image } from "react-native";

type Props = {
  srcImage: string;
  config: {
    titleColor: string;
    summaryColor: string;
    backgroundColor: string;
    backgroundImage: string;
    isRTL: boolean;
  };
};

const imageStyles = {
  width: 128,
  height: 72,
};

const containerStyles = {
  ...imageStyles,
  marginBottom: 30,
};

export function Channel({ srcImage }: Props) {
  return (
    <View style={containerStyles}>
      <Image fadeDuration={0} source={{ uri: srcImage }} style={imageStyles} />
    </View>
  );
}
