import React from "react";
import { shallow } from "enzyme";
import { shallowToJson } from "enzyme-to-json";

import { AudioPlayerLayout } from "../AudioPlayerLayout";

const audioPlayerLayoutProps = {
  artwork: "string",
  config: {
    titleColor: "white",
    summaryColor: "white",
    backgroundColor: "black",
    backgroundImage: "https://example.com",
    isRTL: true,
  },
  children: [],
};

jest.useFakeTimers();

describe("<AudioPlayerLayout  />", () => {
  const wrapper = shallow(<AudioPlayerLayout {...audioPlayerLayoutProps} />);

  it("renders correctly", () => {
    expect(shallowToJson(wrapper)).toMatchSnapshot();
  });
});
