const defaults = {
  audio_player_title_color: "white",
  audio_player_summary_color: "white",
  audio_player_background_color: "black",
  audio_player_artwork_aspect_ratio: "1:1",
  audio_player_rtl: false,
  magic_background: false,
  audio_player_background_image_query: "",
};

export function getPropertyFromEntryOrConfig({ entry, plugin_configuration }) {
  return function (key) {
    const { extensions } = entry;

    if (extensions && extensions[key]) {
      return extensions[key];
    }

    if (plugin_configuration && plugin_configuration[key]) {
      return plugin_configuration[key];
    }

    return defaults[key];
  };
}

const LTR = {
  flexDirection: "row",
  justifyContent: "flex-start",
  textAlign: "right",
  alignItems: "flex-end",
};

const RTL = {
  flexDirection: "row-reverse",
  justifyContent: "flex-end",
  textAlign: "left",
  alignItems: "flex-start",
};

export const directionStyles = (isRTL) => (isRTL ? RTL : LTR);
