import * as R from "ramda";

import { cellStyles } from "./index";

type Props = {
  cellStyle: string | null | undefined;
  componentType: string | null | undefined;
};

export function cellStylesResolver({ cellStyle, componentType }: Props) {
  const componentCellStyles =
    R.prop(componentType, cellStyles) || cellStyles.default;

  const result =
    R.prop(cellStyle || "fallbackCellStyle", componentCellStyles) ||
    componentCellStyles.fallbackCellStyle;

  return result;
}
