import { requireNativeComponent, NativeModules, View } from "react-native";

// AndroidTV View that removes the native Focusable property from the children.
// Used to prevent default focus of taking over the component

let ChildrenFocusDeactivatorView = View;

if (
  NativeModules.UIManager &&
  "ChildrenFocusDeactivatorView" in NativeModules.UIManager
) {
  ChildrenFocusDeactivatorView = requireNativeComponent(
    "ChildrenFocusDeactivatorView"
  );
}

export default ChildrenFocusDeactivatorView;
