import { createContext } from "@applicaster/zapp-react-native-utils/reactUtils/createContext";
import * as R from "ramda";

const DISPLAY_STATE_PROPERTY = "displayState";
const PROPERTY = "property";
const VALUE = "value";

export const DISPLAY_STATES = {
  DISCOVERY: "DISCOVERY",
  CONTENT: "CONTENT",
  CONTROLS: "CONTROLS",
};

export const stateValidator = R.both(
  R.compose(R.equals(DISPLAY_STATE_PROPERTY), R.prop(PROPERTY)),
  R.compose(R.includes(R.__, R.values(DISPLAY_STATES)), R.prop(VALUE))
);

export const DisplayStateContext = createContext(
  { displayState: DISPLAY_STATES.DISCOVERY },
  stateValidator
);
