import { platformSelect } from "@applicaster/zapp-react-native-utils/reactUtils";

import { ifEmptyUseFallback } from "@applicaster/zapp-react-native-utils/cellUtils";

export const DEFAULT = {
  alignment: "center",
  backgroundColor: null,
  color: "rgba(0,0,0, 0.8)",
  fontFamily: "sans-serif",
  fontSize: 22,
  letterSpacing: 0,
  lineHeight: 22,
  margin: 0,
  numberOfLines: 1,
  size: "large",
  text: "You don't have any favorites",
};

export const getNumberOfLines = (pluginStyles) => {
  return ifEmptyUseFallback(
    Number(pluginStyles.empty_text_number_of_lines),
    DEFAULT.numberOfLines
  );
};

export const getStyles = (pluginStyles = {}, theme) => ({
  emptyText: {
    justifyContent: ifEmptyUseFallback(
      pluginStyles.empty_text_alignment,
      DEFAULT.alignment
    ),
    color: ifEmptyUseFallback(
      pluginStyles.empty_text_font_color,
      DEFAULT.fontColor
    ),
    letterSpacing: Number(
      ifEmptyUseFallback(
        platformSelect({
          ios: pluginStyles.empty_text_ios_letter_spacing,
          android: pluginStyles.empty_text_android_letter_spacing,
        }),
        DEFAULT.letterSpacing
      )
    ),
    lineHeight: Number(
      ifEmptyUseFallback(
        platformSelect({
          ios: pluginStyles.empty_text_ios_line_height,
          android: pluginStyles.empty_text_android_line_height,
        }),
        DEFAULT.lineHeight
      )
    ),
    fontSize: Number(
      ifEmptyUseFallback(
        platformSelect({
          ios: pluginStyles.empty_text_ios_font_size,
          android: pluginStyles.empty_text_android_font_size,
        }),
        DEFAULT.fontSize
      )
    ),
    fontFamily: ifEmptyUseFallback(
      platformSelect({
        ios: pluginStyles.empty_text_family_ios_font_selector,
        android: pluginStyles.empty_text_family_android_font_selector,
      }),
      DEFAULT.fontFamily
    ),
    backgroundColor: ifEmptyUseFallback(
      pluginStyles.Background_color,
      ifEmptyUseFallback(theme.app_background_color, DEFAULT.backgroundColor)
    ),
    marginTop: Number(
      ifEmptyUseFallback(pluginStyles.empty_text_margin_top, DEFAULT.margin)
    ),
    marginRight: Number(
      ifEmptyUseFallback(pluginStyles.empty_text_margin_right, DEFAULT.margin)
    ),
    marginBottom: Number(
      ifEmptyUseFallback(pluginStyles.empty_text_margin_bottom, DEFAULT.margin)
    ),
    marginLeft: Number(
      ifEmptyUseFallback(pluginStyles.empty_text_margin_left, DEFAULT.margin)
    ),
  },
  container: {
    flex: 1,
    backgroundColor: ifEmptyUseFallback(
      pluginStyles.Background_color,
      DEFAULT.backgroundColor
    ),
    alignItems: "center",
    justifyContent: "center",
  },
});
