import * as React from "react";
import {
  isTV,
  platformSelect,
} from "@applicaster/zapp-react-native-utils/reactUtils";

import Mobile from "./Mobile";

import TVWeb from "./TV/index.web";
import TVDefault from "./TV/index";

const TV = platformSelect({
  samsung_tv: TVWeb,
  lg_tv: TVWeb,
  web: TVWeb,
  default: TVDefault,
});

export default function Layout(props) {
  if (isTV()) {
    return <TV {...props} />;
  } else {
    return <Mobile {...props} />;
  }
}
