import * as R from "ramda";

type Return = { uri: string };

export const extractAsset = (isMobile, asset, uriState): Return => {
  if (R.is(String, asset)) {
    return { uri: asset };
  }

  if (R.is(Array, asset)) {
    if (isMobile) {
      return {
        uri: R.head(asset),
      };
    } else {
      return { uri: uriState === "focused" ? R.last(asset) : R.head(asset) };
    }
  }

  return { uri: R.path([uriState], asset) };
};
