import { toNumberWithDefault } from "@applicaster/zapp-react-native-utils/numberUtils";

function toFixed(num, fixed) {
  return Number(num.toFixed(fixed));
}

export const normalizeProgressValue = (
  defaultValue: number,
  value: any
): number => {
  const normalizedValue = toFixed(toNumberWithDefault(defaultValue, value), 2);

  if (normalizedValue >= 1) {
    return 1;
  }

  if (normalizedValue <= 0) {
    return 0;
  }

  return normalizedValue;
};
