import { configInflater } from "../dataAdapter";

describe("configInflater", () => {
  it("replace color from entry at first level", () => {
    const entry = {
      extensions: {
        color: "red",
      },
    };

    const viewTree = {
      style: {
        color: "extensions.color",
      },

      props: {
        uri: "test_uri",
      },
      data: [
        {
          func: (data) => data,
          propName: "uri",
        },
      ],
      type: "testType",
    };

    expect(configInflater(entry, viewTree)).toEqual({
      elements: undefined,
      style: {
        color: "red",
      },
      type: "testType",
      props: {
        uri: {
          extensions: {
            color: "red",
          },
        },
      },
    });
  });

  it("replace color from entry at first and second level", () => {
    const entry = {
      extensions: {
        red: "red",
        green: "green",
      },
    };

    const viewTree = {
      style: {
        color: "extensions.red",
      },
      elements: [
        {
          style: {
            color: "extensions.green",
          },
        },
      ],
    };

    expect(configInflater(entry, viewTree)).toEqual({
      props: {},
      style: {
        color: "red",
      },
      type: undefined,
      elements: [
        {
          elements: undefined,
          props: {},
          style: {
            color: "green",
          },
          type: undefined,
        },
      ],
    });
  });
});
