/* eslint max-len: off */

import React from "react";
import { TVEventHandlerComponent } from "@applicaster/zapp-react-native-tvos-ui-components/Components/TVEventHandlerComponent";
import { useNavigation } from "@applicaster/zapp-react-native-utils/reactHooks";

export const withTvEventHandler = (Component) => {
  return function WithTVEventHandler(props) {
    const navigator = useNavigation();

    const remoteHandler = (_, event) => {
      const { eventType } = event;

      const canGoBack = navigator.canGoBack();

      if (eventType === "menu" && canGoBack) {
        navigator.goBack();
      }
    };

    return (
      <TVEventHandlerComponent tvEventHandler={remoteHandler}>
        <Component {...props} />
      </TVEventHandlerComponent>
    );
  };
};
