import React from "react";
import { shallow } from "enzyme";
import { shallowToJson } from "enzyme-to-json";

const pathname = "/river/A1234";
const screenData = { id: "A1234" };

jest.mock("@applicaster/zapp-react-native-utils/reactHooks/navigation", () => ({
  useRoute: jest.fn(() => ({ pathname: pathname, screenData: screenData })),
}));

const {
  ScreenResolver,
} = require("@applicaster/zapp-react-native-ui-components/Components/ScreenResolver");

const { RouteManager } = require("../index");

describe("<RouteManager />", () => {
  const wrapper = shallow(
    <RouteManager pathname={pathname} screenData={screenData} />
  );

  it("renders correctly", () => {
    expect(shallowToJson(wrapper)).toMatchSnapshot();
  });

  it("passes the correct props to ScreenResolver", () => {
    expect(wrapper.find(ScreenResolver).props()).toEqual({
      pathname: "/river/A1234",
      screenType: "river",
      screenId: "A1234",
      screenData: { id: "A1234" },
    });
  });
});
