import * as React from "react";
import { useWindowDimensions } from "react-native";
import { useNavigation } from "@applicaster/zapp-react-native-utils/reactHooks/navigation";
import { useDimensions } from "@applicaster/zapp-react-native-utils/reactHooks/layout";
import { usePickFromState } from "@applicaster/zapp-react-native-redux/hooks";
import { TransitionerComponent } from "./Transitioner";

export const Transitioner = (props) => {
  const navigator = useNavigation();
  const { height, width } = useWindowDimensions();

  const dimensions = useDimensions("window", { deviceInfo: true });
  const isTablet = dimensions?.deviceInfo?.isTablet;

  const { appData } = usePickFromState(["appData"]);
  const isTabletPortrait = appData?.isTabletPortrait;

  return (
    <TransitionerComponent
      navigator={navigator}
      layoutData={{ isTabletPortrait, isTablet, width, height }}
      {...props}
    />
  );
};
