import React from "react";
import renderer from "react-test-renderer";
import { View } from "react-native";

const props = {
  entry: {},
  style: { flex: 1 },
  configuration: { modal_background_color: "transparent" },
};

jest.mock("react-native-safe-area-context", () => ({
  useSafeAreaInsets: jest.fn(() => ({
    top: 20,
    bottom: 0,
  })),
}));

jest.mock(
  "@applicaster/zapp-react-native-ui-components/Components/River/ComponentsMap",
  () => ({ ComponentsMap: View })
);

jest.mock("@applicaster/zapp-react-native-utils/reactHooks/screen", () => ({
  useTargetScreenData: jest.fn(() => ({
    id: "test-id",
    ui_components: [],
    data: { source: "test-source" },
  })),
}));

const { PlayerDetails } = require("../PlayerDetails");

describe("PlayerDetails", () => {
  it("renders properly", () => {
    const element = renderer.create(<PlayerDetails {...props} />);

    expect(element).toMatchSnapshot();
  });

  it("renders properly on tablet in landscape orientation", () => {
    const element = renderer.create(
      <PlayerDetails {...props} isTabletLandscape={true} />
    );

    expect(element).toMatchSnapshot();
  });
});
