import React from "react";
import * as R from "ramda";

export const useInitialPlayerState = (toFullscreen, toInline, item) => {
  React.useEffect(() => {
    const initialPlayerState = R.pathOr(
      "inline",
      ["extensions", "initial_player_state"],
      item
    );

    if (initialPlayerState === "fullscreen") {
      toFullscreen();
    } else {
      toInline();
    }
  }, []);
};
