import { ORIENTATIONS } from "@applicaster/zapp-react-native-utils/appUtils/orientationHelper";

export const isOrientationPortrait = (orientation: ORIENTATIONS): boolean => {
  return [ORIENTATIONS.portrait, ORIENTATIONS.portraitUpsideDown].includes(
    orientation
  );
};

const isOrientationLandscape = (orientation: ORIENTATIONS): boolean => {
  return [
    ORIENTATIONS.landscapeLeft,
    ORIENTATIONS.landscapeRight,
    ORIENTATIONS.landscapeSensor,
  ].includes(orientation);
};

export const orientationWasChangedFromLandscapeToPortrait = ({
  fromOrientation,
  toOrientation,
}): boolean => {
  return (
    (isOrientationLandscape(fromOrientation) ||
      ORIENTATIONS.unknown === fromOrientation) &&
    isOrientationPortrait(toOrientation)
  );
};

export const orientationWasChangedFromPortraitToLandscape = ({
  fromOrientation,
  toOrientation,
}): boolean => {
  return (
    (isOrientationPortrait(fromOrientation) ||
      ORIENTATIONS.unknown === fromOrientation) &&
    isOrientationLandscape(toOrientation)
  );
};
