import React from "react";
import { View } from "react-native";
import ActionButton from "../../Buttons/ActionButton";

const renderEmptyView = () => {
  const emptyViewStyle: any = {
    width: 50,
    height: 50,
  };

  return <View style={emptyViewStyle} />;
};

type CloseButtonProps = {
  onPress: () => void;
  screenStyles?: any;
};

const CloseButton = ({ onPress, screenStyles }: CloseButtonProps) => {
  const containerStyle: any = {};

  if (!onPress) {
    return renderEmptyView();
  }

  return (
    <ActionButton
      onPress={onPress}
      buttonStyles={containerStyle}
      imageUrl={screenStyles.close_button_image}
    />
  );
};

export default CloseButton;
