import * as React from "react";

export const useInitialLoading = (isLoading: boolean): boolean => {
  const isInitialLoading = React.useRef(true);

  React.useEffect(() => {
    if (!isLoading && isInitialLoading) {
      isInitialLoading.current = false;
    }
  }, [isLoading, isInitialLoading]);

  return isInitialLoading.current;
};
