export const defaultContainerStyle = {
  flex: 1,
  alignItems: "flex-start",
};

/**
 * Returns the matching container style for the component.
 * Ideally we should keep the platform parity in mobile - plain javascript only.
 * @param {String} component_type
 * @return {Object} Style of the component's rendering function container.
 */
export function containerStyleResolver({
  component_type,
}: {
  component_type: string;
}) {
  switch (component_type) {
    default:
      return defaultContainerStyle;
  }
}
