export const defaultContainerStyle = {
  flex: 1,
  alignItems: "flex-start",
  justifyContent: "center",
  overflow: "visible",
};

/**
 * Returns the matching container style for the component.
 * Quite overkill/redundant in web, but will soon make sense
 * when more component types will be supported.
 * @param {String} component_type
 * @return {Object} Style of the component's rendering function container.
 */
export function containerStyleResolver({
  component_type,
}: {
  component_type: string;
}) {
  switch (component_type) {
    default:
      return defaultContainerStyle;
  }
}
