import React from "react";
import { FocusableGroupContext } from "./FocusableGroupContext";

export const withFocusableContext = (Component) => {
  // eslint-disable-next-line react/display-name
  return ({ groupId, ...props }: Record<string, any>) => (
    <FocusableGroupContext.Consumer>
      {(groupIdContext: string) => {
        // eslint-disable-next-line react/display-name
        const propsGroupId = groupId || null;
        const providedGroupId = propsGroupId || groupIdContext;

        return <Component {...props} groupId={providedGroupId} />;
      }}
    </FocusableGroupContext.Consumer>
  );
};
