import React, { useContext } from "react";
const ModalNavigationContext = React.createContext<boolean>(false);

export function useModalNavigationContext() {
  return useContext(ModalNavigationContext);
}

export function withModalNavigationContextProvider(Component) {
  return function WrappedWithModalNavigationContextProvider(props) {
    return (
      <ModalNavigationContext.Provider value={true}>
        <Component {...props} />
      </ModalNavigationContext.Provider>
    );
  };
}
