import React, { useContext } from "react";
const NestedNavigationContext = React.createContext<boolean>(false);

export function useNestedNavigationContext() {
  return useContext(NestedNavigationContext);
}

export function withNestedNavigationContextProvider(Component) {
  return function WrappedWithNestedNavigationContextProvider(props) {
    return (
      <NestedNavigationContext.Provider value={true}>
        <Component {...props} />
      </NestedNavigationContext.Provider>
    );
  };
}
