import * as R from "ramda";
import { createContext } from "@applicaster/zapp-react-native-utils/reactUtils/createContext";

const PLAYER_CONTENT_PROPERTY = "playerContent";

const initialContext = { playerContent: null };

const stateValidator = R.both(
  R.compose(R.equals(PLAYER_CONTENT_PROPERTY), R.prop("property")),
  R.compose(R.either(R.is(Object), R.isNil), R.prop("value"))
);

export const PlayerContentContext = createContext(
  initialContext,
  stateValidator
);
